Name:    awf
Version: 1.2.1
Release: 4%{?dist}
Summary: A tool for previewing GTK2/GTK3 widgets
Group:   Development/Tools
License: GPLv3+
URL:     http://github.com/valr/awf
Source:  https://github.com/valr/awf/archive/v%{version}.tar.gz
Source1: awf-gtk2.desktop
Source2: awf-gtk3.desktop

Patch1:  awf_addons.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-build
BuildRequires: gtk2-devel gtk3-devel
BuildRequires: desktop-file-utils
Requires:      gtk2 gtk3

%description
A Widget Factory is a program designed to show a wide range of widgets
on a single window.

%prep
%setup -q
%patch1 -p1 -b .addons

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -type f -name '*.la' -delete
find %{buildroot} -type f -name 'awf.desktop' -delete
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/applications/
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/awf-gtk2.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/awf-gtk3.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
    
%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root)
%{_bindir}/awf-gtk2
%{_bindir}/awf-gtk3
%{_datadir}/icons/*
%{_datadir}/applications/awf-gtk2.desktop
%{_datadir}/applications/awf-gtk3.desktop

%changelog
* Sat Nov 16 2013 josef radinger <cheese@nosuchhost.net> - 1.2.1-4
- split toolbar into two toolsbars, only the first one has real functions
- add desktop-files for gtk2+gtk3
- further cleanup spec-file (desktop-file,...)

* Sat Nov 16 2013 josef radinger <cheese@nosuchhost.net> - 1.2.1-3
- add text to progressbars
- add another table to force trough

* Sat Nov 16 2013 josef radinger <cheese@nosuchhost.net> - 1.2.1-2
- fix url
- fix invocation of autogen
- cleanup rpm

* Wed Jan 09 2013 Dwight Engen <dengen@engens.com> - 1.2.1-1
- Initial RPM release.
